%define name		WWWstats
%define version		1.55
%define release		2

Name: %{name}
Version: %{version}
Release: %{release}
Group: Networking/Utilities
Copyright: WWWstats is freeware, so you can do as you like with it.
Summary: WWWstats: build detailed statistics for a WWW server.
Packager: Ronan-Yann Lorin <lorin@mygale.org>
BuildArchitectures: noarch

Source: ftp://.../%{name}.zip
Patch: %{name}.patch
BuildRoot: /tmp/wwwstats-root

%description
WWWstats are some simple Perl scripts that read the log of a WWW server 
and extracts some statistics from it, presented as web pages. 
They are meant for use by a single person, 
but could probably be used by large sites as well. 


%prep
%setup -c -T
unzip $RPM_SOURCE_DIR/%{name}
dos2unix -o *.pl
%patch -p1

%build
# Nothing to do this package is fully written in perl

%install
[ -d $RPM_BUILD_ROOT/etc/httpd/WWWstats ] || mkdir -p $RPM_BUILD_ROOT/etc/httpd/WWWstats
install config.pl $RPM_BUILD_ROOT/etc/httpd/WWWstats

[ -d $RPM_BUILD_ROOT/usr/lib/WWWstats ] || mkdir -p $RPM_BUILD_ROOT/usr/lib/WWWstats
install cgi.pl $RPM_BUILD_ROOT/usr/lib/WWWstats
install shared.pl $RPM_BUILD_ROOT/usr/lib/WWWstats

[ -d $RPM_BUILD_ROOT/home/httpd/icons ] || mkdir -p $RPM_BUILD_ROOT/home/httpd/icons
install statsbar.gif $RPM_BUILD_ROOT/home/httpd/icons
install piccy.gif $RPM_BUILD_ROOT/home/httpd/icons

[ -d $RPM_BUILD_ROOT/home/httpd/cgi-bin ] || mkdir -p $RPM_BUILD_ROOT/home/httpd/cgi-bin
install wwwbrowser.pl $RPM_BUILD_ROOT/home/httpd/cgi-bin
install wwwmonth.pl $RPM_BUILD_ROOT/home/httpd/cgi-bin
install wwwrefer.pl $RPM_BUILD_ROOT/home/httpd/cgi-bin
install wwwstats.pl $RPM_BUILD_ROOT/home/httpd/cgi-bin
install wwwweek.pl $RPM_BUILD_ROOT/home/httpd/cgi-bin
install wwwyear.pl $RPM_BUILD_ROOT/home/httpd/cgi-bin
install make_log.pl $RPM_BUILD_ROOT/home/httpd/cgi-bin

%clean
if [ `echo "$RPM_BUILD_ROOT" | cut -c 1-5` = "/tmp/" ]; then
	rm -rf "$RPM_BUILD_ROOT"
fi


%post
sed s/birk105.studby.uio.no/`hostname --fqdn`/g </etc/httpd/WWWstats/config.pl >/tmp/config.pl \
	&& cp /tmp/config.pl /etc/httpd/WWWstats/config.pl

%files
%defattr(644 httpd httpd 755)
%attr(644,root,root)	%doc WWWchanges.html WWWconfig.html WWWdocs.html
%attr(644,root,root)	%doc WWWmail.html WWWstats.html filelist.txt
%attr(644,root,root)	%doc runstats.bat uaunknown.pl
%attr(644,httpd,httpd)  %config /etc/httpd/WWWstats/config.pl
%attr(644,httpd,httpd)  /usr/lib/WWWstats/cgi.pl
%attr(644,httpd,httpd)  /usr/lib/WWWstats/shared.pl
/home/httpd/icons/statsbar.gif
/home/httpd/icons/piccy.gif
%attr(755,httpd,httpd)  /home/httpd/cgi-bin/wwwbrowser.pl
%attr(755,httpd,httpd)  /home/httpd/cgi-bin/wwwmonth.pl
%attr(755,httpd,httpd)  /home/httpd/cgi-bin/wwwrefer.pl
%attr(755,httpd,httpd)  /home/httpd/cgi-bin/wwwstats.pl
%attr(755,httpd,httpd)  /home/httpd/cgi-bin/wwwweek.pl
%attr(755,httpd,httpd)  /home/httpd/cgi-bin/wwwyear.pl
%attr(755,httpd,httpd)  /home/httpd/cgi-bin/make_log.pl

